Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-7309

Quiz DB upgrade scrip does not check for errors

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Minor
    • Resolution: Fixed
    • 1.7
    • 1.6.4, 1.7.1, 1.8
    • Quiz
    • None
    • Any
    • MOODLE_17_STABLE
    • MOODLE_16_STABLE, MOODLE_17_STABLE, MOODLE_18_STABLE

    Description

      This really sucks. It is causing mysterious failures when upgrading the quiz to 1.6.

      I suppose some poor sucker is going to have to add error checking to 1000 lines of other people PHP code

      Attachments

        1. mysql.php
          65 kB
        2. postgres7.php
          96 kB

        Activity

          People

            timhunt Tim Hunt
            timhunt Tim Hunt
            Nobody Nobody
            Tim Hunt, Andrew Lyons, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:
              17/Jan/07